## Get NKS Load Balancer Details

**get** `/v1/nks/clusters/{cluster_id}/load_balancers/{load_balancer_id}`

Get details about an NKS load balancer

### Path Parameters

- `cluster_id: string`

- `load_balancer_id: string`

### Returns

- `NKSLoadBalancer object { id, cluster_id, created_at, 7 more }`

  NKS load balancer details.

  - `id: string`

    Unique identifier for the load balancer.

  - `cluster_id: string`

    Cluster this load balancer belongs to.

  - `created_at: string`

    When the load balancer was first discovered.

  - `namespace: string`

    Kubernetes namespace of the load balancer.

  - `private_ip: string`

    Private IP address of the load balancer.

  - `public_ip: string`

    Public IP address assigned to this load balancer.

  - `public_ip_enabled: boolean`

    Whether a public IP is enabled for this load balancer.

  - `service_name: string`

    Kubernetes service name of the load balancer.

  - `status: ResourceStatus`

    Status of the resource.

    - `"pending"`

    - `"creating"`

    - `"updating"`

    - `"ready"`

    - `"deleting"`

    - `"deleted"`

    - `"error"`

  - `updated_at: string`

    When the load balancer was last updated.

### Example

```http
curl https://api.nirvanalabs.io/v1/nks/clusters/$CLUSTER_ID/load_balancers/$LOAD_BALANCER_ID \
    -H "Authorization: Bearer $NIRVANA_LABS_API_KEY"
```

#### Response

```json
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "cluster_id": "123e4567-e89b-12d3-a456-426614174000",
  "created_at": "2025-01-01T00:00:00Z",
  "namespace": "default",
  "private_ip": "10.0.0.50",
  "public_ip": "198.51.100.10",
  "public_ip_enabled": false,
  "service_name": "my-service",
  "status": "ready",
  "updated_at": "2025-01-01T00:00:00Z"
}
```
